Subject: RE: draft-davari-pwe3-aal12-over-psn-01

From: Shahram Davari <[email-masked]>
Date: Wed, 12 Mar 2003 07:11:50 -0800

Hi Sasha,

Very good comments. Please see my response in-line:

Thanks,
-Shahram

>-----Original Message-----
>From: Sasha Vainshtein [mailto:[email-masked]]
>Sent: Monday, March 10, 2003 8:22 AM
>To: Shahram Davari
>Cc: [email-masked]'
>Subject: RE: [PWE3] draft-davari-pwe3-aal12-over-psn-01
>
>
>Shahram and all,
>
>I have read the draft in question. It looks like quite a useful 
>document explaining how to use different modes of [ATM-ENCAP]
>with AAL1 VCCs.
>
>I have a couple of minor comments to it.
>
>1. The text in Section 11.1 allows the receiver to ignore L bit. 
>   On the other hand, the text in Section 11 allows the transmitter 
>   not only to set L bit in case of a defect but also to send only 
>   "the minimum PSN payload set to all zeros" since the payload 
>   itself is irrelevant. 
>   I do not understand how such payload would then be interpreted 
>   by a receiver that ignores L bit.

I will make it clear in the next revision that the payload could be
omitted only if the ingress can set L-bit and the egress can interpret it.

>
>2. The receiver  does not handle lost packets beyond optional setting 
>    of the R bit; in particular, it does not generate any "replacement
>    traffic" or any OAM cells towards the ATM network (AFAIK no such 
>    action is defined for any of the modes in [ATM-ENCAP]). 
>    As a consequence, the egress of the AAL1 path using the ATM PW as
>    one of its "hops" will have to detect and handle loss of, 
>potentially, 
>    multiple consecutive AAL1 frames due to a single PW packet loss. 
>    Since the AAL1 sequence number is just 3 bits wide, this looks 
>    problematic if the lost packet contained 8 (or more) AAL1 frames.

This is something that should be addressed by the Martini-draft, since the
1:1 and N:1 cell modes are not specific to particular AAL type. The R-bit is
meant for complete PW break or long term congestion. However, there are
a couple of ways to handle packet loss due to short term congestion:

1) One could use packets with less than 8 cells in them. This could handle
random packet loss, but can't handle burst packet loss.

2) One could generate ATM cells with pre-configured value such as "All 1's"

3) One could use interpolation, but this requires detailed knowledge of the ATM traffic

4) If ATM/AAL1 and PW function are all implemented in the same box, then the PW block
could use a local means of communicating the packet loss to the AAL1/ATM block, such
as what is described in anavi-draft.

>
>With best regards,
>                                   Sasha Vainshtein
>email:     [email-masked] <mailto:[email-masked]> 
>tel:       +972-3-7659993 (office)
>           +972-8-9254948 (res.)
>           +972-58-674833 (cell.)
> 
>
>
>> -----Original Message-----
>> From: Shahram Davari [mailto:[email-masked]]
>> Sent: Tuesday, March 04, 2003 6:14 PM
>> To: [email-masked]'
>> Subject: [PWE3] draft-davari-pwe3-aal12-over-psn-01
>> 
>> 
>> Hi all,
>> 
>> I have submitted this draft. FYI I am enclosing a copy.
>> 
>> Yours,
>> Shahram Davari
>> 
>> 
>> 
>